import matplotlib.pyplot as plt
from sklearn.linear_model import LinearRegression  # 回帰のモジュールのimport

x = [[12], [16], [20], [28], [36]]  # 直径データをリストにする
y = [[700], [900], [1000], [1750], [1800]]  # 値段データをリストにする

model = LinearRegression()  # モデル（回帰）の指定 (パラメータはすべてデフォルト)
model.fit(x, y)  # x, yによる学習

plt.figure()  # グラフ描画領域の生成
plt.scatter(x, y, marker='o', s=80, c='green')  # 散布図の作成（s, c: 点のサイズ，色）
plt.plot(x, model.coef_ * x + model.intercept_)  # 回帰直線の描画（傾き，切片）
plt.title('Relation between diameter and price')  # タイトル
plt.xlabel('diameter')  # x軸ラベル
plt.ylabel('price')  # y軸ラベル
plt.axis([0, 50, 0, 2500])  # グラフの最小値，最大値
plt.grid(True)  # 区切り線の設定
plt.show()  # グラフの表示
